Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface Table

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, Element, org.eclipse.emf.ecore.EObject, NamedColumnSet, NamedElement, org.eclipse.emf.common.notify.Notifier, SchemaElement

    public interface Table

extends NamedColumnSet

A representation of the model object 'Table'.

The following features are supported:

- `Columns`
- `Primary Key`
- `Unique Constraints`
- `Foreign Keys`
- `Indices`
- `Checks`

See Also:
  `RdbmdlPackage.getTable()`

Method Summary
`org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.CheckConstraint>` | `getChecks()` Returns the value of the 'Checks' containment reference list.
`org.eclipse.emf.common.util.EList<TableColumn>` | `getColumns()` Returns the value of the 'Columns' containment reference list.
`org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.ForeignKey>` | `getForeignKeys()` Returns the value of the 'Foreign Keys' containment reference list.
`org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.Index>` | `getIndices()` Returns the value of the 'Indices' containment reference list.
`it.csi.mddtools.rdbmdl.constraints.PrimaryKey` | `getPrimaryKey()` Returns the value of the 'Primary Key' containment reference
`org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.UniqueConstraint>` | `getUniqueConstraints()` Returns the value of the 'Unique Constraints' containment reference list.
`void` | `setPrimaryKey(it.csi.mddtools.rdbmdl.constraints.PrimaryKey value)` Sets the value of the '`Primary Key`' containment reference

Methods inherited from interface it.csi.mddtools.rdbmdl.SchemaElement
`getOwner, setOwner`

Methods inherited from interface it.csi.mddtools.rdbmdl.NamedElement
`getName, getUid, setName, setUid`

Methods inherited from interface it.csi.mddtools.rdbmdl.Element
`getParent, setParent`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumns

    org.eclipse.emf.common.util.EList<TableColumn> getColumns()

  Returns the value of the 'Columns' containment reference list. The list contents are of type `TableColumn`.

  If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `RdbmdlPackage.getTable_Columns()`

### getPrimaryKey

    it.csi.mddtools.rdbmdl.constraints.PrimaryKey getPrimaryKey()

  Returns the value of the 'Primary Key' containment reference.

  If the meaning of the 'Primary Key' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primary Key' containment reference.
  See Also:
    `setPrimaryKey(PrimaryKey)`, `RdbmdlPackage.getTable_PrimaryKey()`

### setPrimaryKey

    void setPrimaryKey(it.csi.mddtools.rdbmdl.constraints.PrimaryKey value)

  Sets the value of the '`Primary Key`' containment reference.

  Parameters:
    `value` - the new value of the 'Primary Key' containment reference.
  See Also:
    `getPrimaryKey()`

### getUniqueConstraints

    org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.UniqueConstraint> getUniqueConstraints()

  Returns the value of the 'Unique Constraints' containment reference list. The list contents are of type `UniqueConstraint`.

  If the meaning of the 'Unique Constraints' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unique Constraints' containment reference list.
  See Also:
    `RdbmdlPackage.getTable_UniqueConstraints()`

### getForeignKeys

    org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.ForeignKey> getForeignKeys()

  Returns the value of the 'Foreign Keys' containment reference list. The list contents are of type `ForeignKey`.

  If the meaning of the 'Foreign Keys' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Foreign Keys' containment reference list.
  See Also:
    `RdbmdlPackage.getTable_ForeignKeys()`

### getIndices

    org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.Index> getIndices()

  Returns the value of the 'Indices' containment reference list. The list contents are of type `Index`.

  If the meaning of the 'Indices' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Indices' containment reference list.
  See Also:
    `RdbmdlPackage.getTable_Indices()`

### getChecks

    org.eclipse.emf.common.util.EList<it.csi.mddtools.rdbmdl.constraints.CheckConstraint> getChecks()

  Returns the value of the 'Checks' containment reference list. The list contents are of type `CheckConstraint`.

  If the meaning of the 'Checks' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Checks' containment reference list.
  See Also:
    `RdbmdlPackage.getTable_Checks()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD